# ObservableStatement

## `ObservableStatement`

An ObservableStatement may involve evaluation of an expression that accesses object properties whose values may not be available. If not ready,the mapping execution is suspended until the required value is made available by a notifying SetStatement.

syntax: `observe class::property ...`

conformsTo `Statement`

Attributes

`observedProperties : Set(Property)[*|1]`

The properties whose accesses must be checked for readiness.